Bommarito00SingleDanglingEnd
Date: 2014-08-08

melting.patternModels.singleDanglingEnds

## Class Bommarito00SingleDanglingEnd

- java.lang.Object
- - melting.patternModels.PatternComputation
  - - melting.patternModels.singleDanglingEnds.SingleDanglingEndMethod
    - - melting.patternModels.singleDanglingEnds.Bommarito00SingleDanglingEnd

- All Implemented Interfaces:
    NamedMethod, PatternComputationMethod

      public class Bommarito00SingleDanglingEnd
      extends SingleDanglingEndMethod
      implements NamedMethod

  This class represents the single dangling end model bom00. It extends SingleDanglingEndMethod. Bommarito et al. (2000). Nuc Acids Res 28: 1929-1934

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `defaultFileName` String defaultFileName : default name for the xml file containing the thermodynamic parameters for single dangling end

    - ### Fields inherited from class melting.patternModels.PatternComputation

      `collector, fileName`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Bommarito00SingleDanglingEnd()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ThermoResult` | `computeThermodynamics(NucleotidSequences sequences, int pos1, int pos2, ThermoResult result)`
    `java.lang.String` | `getName()` Gets the full name of the method.
    `void` | `initialiseFileName(java.lang.String methodName)` If a file name is entered by the user, the file name of the model becomes the file name entered by the user, otherwise the default file name of the model is used.
    `boolean` | `isApplicable(Environment environment, int pos1, int pos2)`
    `boolean` | `isMissingParameters(NucleotidSequences sequences, int pos1, int pos2)` Check if one thermodynamic parameter is missing to compute the enthalpy and entropy of the pattern at the positions pos1 and pos2.

    - ### Methods inherited from class melting.patternModels.singleDanglingEnds.SingleDanglingEndMethod

      `correctPositions`

    - ### Methods inherited from class melting.patternModels.PatternComputation

      `getCollector, getData, getDataFileName, loadData, loadFile`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### defaultFileName

          public static java.lang.String defaultFileName

      String defaultFileName : default name for the xml file containing the thermodynamic parameters for single dangling end

  - ### Constructor Detail

    - #### Bommarito00SingleDanglingEnd

          public Bommarito00SingleDanglingEnd()

  - ### Method Detail

    - #### isApplicable

          public boolean isApplicable(Environment environment,
                             int pos1,
                             int pos2)

      Specified by:
        `isApplicable` in interface `PatternComputationMethod`
      Overrides:
        `isApplicable` in class `SingleDanglingEndMethod`
      Returns:
        false if the model used to compute the enthalpy and entropy of the pattern at the positions pos1 and pos2 is not applicable with the environment. If the environment can make the results less reliable, a warning message will appear.

    - #### computeThermodynamics

          public ThermoResult computeThermodynamics(NucleotidSequences sequences,
                                           int pos1,
                                           int pos2,
                                           ThermoResult result)

      Specified by:
        `computeThermodynamics` in interface `PatternComputationMethod`
      Overrides:
        `computeThermodynamics` in class `SingleDanglingEndMethod`
      Parameters:
        `sequences` - which contains the sequences entered by the user.
        `result` - which contains the computed enthalpy, entropy and melting temperature.
      Returns:
        ThermoResult result which contains the incremented enthalpy and entropy values.

    - #### isMissingParameters

          public boolean isMissingParameters(NucleotidSequences sequences,
                                    int pos1,
                                    int pos2)

      Description copied from interface: `PatternComputationMethod`
      Check if one thermodynamic parameter is missing to compute the enthalpy and entropy of the pattern at the positions pos1 and pos2.
      Specified by:
        `isMissingParameters` in interface `PatternComputationMethod`
      Overrides:
        `isMissingParameters` in class `SingleDanglingEndMethod`
      Parameters:
        `sequences` - which contains the sequences entered by the user.
      Returns:
        false if one necessary thermodynamic parameter is missing.

    - #### initialiseFileName

          public void initialiseFileName(java.lang.String methodName)

      Description copied from interface: `PatternComputationMethod`
      If a file name is entered by the user, the file name of the model becomes the file name entered by the user, otherwise the default file name of the model is used.
      Specified by:
        `initialiseFileName` in interface `PatternComputationMethod`
      Overrides:
        `initialiseFileName` in class `PatternComputation`
      Parameters:
        `methodName` - : method or model name entered by the user.

    - #### getName

          public java.lang.String getName()

      Gets the full name of the method.
      Specified by:
        `getName` in interface `NamedMethod`
      Returns:
        The full name of the method.